// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdSdkUiKitComponents",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdSdkUiKitComponents", targets: ["WebIdSdkUiKitComponentsWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-ui-components-spm.git",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdIosSdk",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-sdk-spm.git",
            .branch("snapshots")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdSdkUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdSdkUiKitComponents/20.0.1/WebIdSdkUiKitComponents.framework-v20.0.1-SNAPSHOT-212.zip",
            checksum: "a497075863b1201e0c2fb15daebc4ac7dc8141142637d516e73860e7206ce0a5"
        ),
        .target(
            name: "WebIdSdkUiKitComponentsWrapper",
            dependencies: [
                .target(name: "WebIdSdkUiKitComponents"),
                // [target dependecies here]
                
                .product(name: "WebIdUiKitComponents", package: "WebIdUiKitComponents"),
                .product(name: "WebIdIosSdk", package: "WebIdIosSdk"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
